## org.eclipse.amp.amf.testing.services
Class ATestGrammarAccess.MeasureElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder
              org.eclipse.amp.amf.testing.services.ATestGrammarAccess.MeasureElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IEnumRuleAccess

Enclosing class:
  ATestGrammarAccess

    public class ATestGrammarAccess.MeasureElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ATestGrammarAccess.MeasureElements()`

Method Summary
`org.eclipse.xtext.Alternatives` `getAlternatives()`
`org.eclipse.xtext.Keyword` `getAVERAGEAverageKeyword_1_0()`
`org.eclipse.xtext.EnumLiteralDeclaration` `getAVERAGEEnumLiteralDeclaration_1()`
`org.eclipse.xtext.Keyword` `getCOUNTCountKeyword_0_0()`
`org.eclipse.xtext.EnumLiteralDeclaration` `getCOUNTEnumLiteralDeclaration_0()`
`org.eclipse.xtext.EnumLiteralDeclaration` `getMAXIMUMEnumLiteralDeclaration_4()`
`org.eclipse.xtext.Keyword` `getMAXIMUMMaximumKeyword_4_0()`
`org.eclipse.xtext.EnumLiteralDeclaration` `getMINIMUMEnumLiteralDeclaration_3()`
`org.eclipse.xtext.Keyword` `getMINIMUMMinimumKeyword_3_0()`
`org.eclipse.xtext.EnumRule` `getRule()`
`org.eclipse.xtext.EnumLiteralDeclaration` `getSUMEnumLiteralDeclaration_2()`
`org.eclipse.xtext.Keyword` `getSUMSumKeyword_2_0()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestGrammarAccess.MeasureElements

    public ATestGrammarAccess.MeasureElements()

Method Detail

### getRule

    public org.eclipse.xtext.EnumRule getRule()

### getAlternatives

    public org.eclipse.xtext.Alternatives getAlternatives()

### getCOUNTEnumLiteralDeclaration_0

    public org.eclipse.xtext.EnumLiteralDeclaration getCOUNTEnumLiteralDeclaration_0()

### getCOUNTCountKeyword_0_0

    public org.eclipse.xtext.Keyword getCOUNTCountKeyword_0_0()

### getAVERAGEEnumLiteralDeclaration_1

    public org.eclipse.xtext.EnumLiteralDeclaration getAVERAGEEnumLiteralDeclaration_1()

### getAVERAGEAverageKeyword_1_0

    public org.eclipse.xtext.Keyword getAVERAGEAverageKeyword_1_0()

### getSUMEnumLiteralDeclaration_2

    public org.eclipse.xtext.EnumLiteralDeclaration getSUMEnumLiteralDeclaration_2()

### getSUMSumKeyword_2_0

    public org.eclipse.xtext.Keyword getSUMSumKeyword_2_0()

### getMINIMUMEnumLiteralDeclaration_3

    public org.eclipse.xtext.EnumLiteralDeclaration getMINIMUMEnumLiteralDeclaration_3()

### getMINIMUMMinimumKeyword_3_0

    public org.eclipse.xtext.Keyword getMINIMUMMinimumKeyword_3_0()

### getMAXIMUMEnumLiteralDeclaration_4

    public org.eclipse.xtext.EnumLiteralDeclaration getMAXIMUMEnumLiteralDeclaration_4()

### getMAXIMUMMaximumKeyword_4_0

    public org.eclipse.xtext.Keyword getMAXIMUMMaximumKeyword_4_0()